<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        let m = +prompt('Enter min');
        let n = +prompt('Enter max');
        let result = "";
        while (m > n && Number.isInteger(n) && Number.isInteger(m)) {
            alert('Incorrect number');
            m = +prompt('Enter min');
            n = +prompt('Enter max');
        }
        
        for (let i = m; i <= n; i++) {
            let check = []
            for (let j = 2; j < i; j++) {
               // console.log(`j=${j} i=${i} i%j = ${i % j === 0}`)
                if (i % j === 0) {
                  check += j
                } else {
                    
                }
            }
           // console.log(`check=${check}`)
           // console.log(check.length)
            if (check.length == 0) {
                result += `${i} `;
            } else {
                console.log('NO Prime number for ' + i);
            }
            
        }
        alert(result);
    </script>
</body>

</html>